package com.shixing.edit.helper;

import android.app.Activity;

import com.zhihu.matisse.Matisse;
import com.zhihu.matisse.MimeType;
import com.zhihu.matisse.engine.impl.GlideEngine;
import com.zhihu.matisse.internal.entity.CaptureStrategy;

import java.util.EnumSet;

public class MediaHelper {

    public static void chooseMultiVideoAndPicture(Activity activity, int maxSelectable, int requestCode) {
        Matisse.from(activity)
                .choose(EnumSet.of(MimeType.MP4, MimeType.JPEG, MimeType.PNG, MimeType.GIF), false)
//                .capture(true)
//                .captureStrategy(new CaptureStrategy(true, "com.zhihu.matisse.sample.fileprovider"))
                .maxSelectable(maxSelectable)
                .countable(true)
                .spanCount(4)
                .imageEngine(new GlideEngine())
                .forResult(requestCode);
    }

    public static void chooseOneVideoOrPicture(Activity activity, int requestCode) {
        Matisse.from(activity)
                .choose(EnumSet.of(MimeType.MP4, MimeType.JPEG, MimeType.PNG, MimeType.GIF), false)
                .maxSelectable(1)
                .countable(false)
                .spanCount(4)
                .imageEngine(new GlideEngine())
                .forResult(requestCode);
    }

    public static void chooseOneVideo(Activity activity, int requestCode) {
        Matisse.from(activity)
                .choose(EnumSet.of(MimeType.MP4), false)
                .maxSelectable(1)
                .showSingleMediaType(true)
                .countable(false)
                .spanCount(4)
                .imageEngine(new GlideEngine())
                .forResult(requestCode);
    }
}
