package com.shixing.edit.manager;

import com.shixing.sxedit.internal.EditManager;

public class ActionManager {

    private ActionListener listener;

    private ActionManager() {
    }

    public void setEditManager(EditManager editManager) {
        listener = new ActionListenerImpl(editManager);
    }

    public ActionListener getListener() {
        return listener;
    }

    public static ActionManager getInstance() {
        return InstanceHolder.instance;
    }

    private static class InstanceHolder {
        private static ActionManager instance = new ActionManager();
    }
}
