package com.shixing.edit.pip;


import android.view.View;

import com.shixing.edit.EditActivity;
import com.shixing.edit.R;
import com.shixing.edit.adapter.ActionAdapter;
import com.shixing.edit.clip.transition.TransitionFragment;
import com.shixing.edit.data.ActionItem;
import com.shixing.edit.listener.OnActionClickListener;
import com.shixing.edit.utils.Logger;

import java.util.ArrayList;

/*** 剪辑子列表 */
public class PipMenu implements OnActionClickListener {

    private  ArrayList<ActionItem> mPictureInPictureActions;
    private EditActivity mActivity;
    private static PipMenu instance;
    private PipMenu(EditActivity editActivity){
        this.mActivity=editActivity;
    }
    public static PipMenu getInstance(EditActivity editActivity){
        if (instance==null)
            instance= new PipMenu(editActivity);
        return instance;
    }
    public  ArrayList<ActionItem> getActionList(){
        mPictureInPictureActions = new ArrayList<>();
        mPictureInPictureActions.add(new ActionItem("新增画中画", R.drawable.icon_huazhonghua));

        return mPictureInPictureActions;
    }
    public  ArrayList<ActionItem> getThreeLevelActionList(){
        mPictureInPictureActions = new ArrayList<>();
        mPictureInPictureActions.add(new ActionItem("镜像", R.drawable.icon_jingxiang));
        mPictureInPictureActions.add(new ActionItem("动画", R.drawable.icon_donghua));
        mPictureInPictureActions.add(new ActionItem("复制", R.drawable.icon_fuzhi));
        mPictureInPictureActions.add(new ActionItem("删除", R.drawable.icon_shanchu));
        return mPictureInPictureActions;
    }
    public  void onActionClick(ActionItem action) {
        switch (action.iconResId) {
            case R.drawable.icon_huazhonghua:
                    ActionItem actionItem=new ActionItem("完成",R.drawable.icon_huazhonghua);
                    actionItem.id="add_pip";
                    mActivity.onActionClick(actionItem);

                break;
            default:
                break;
        }
    }

    private void showTransitionFragment(){
        mActivity.mMenu_container.setVisibility(View.VISIBLE);
        TransitionFragment transitionFragment=new TransitionFragment();
        mActivity.getSupportFragmentManager().beginTransaction()
                .replace(R.id.menu_container, transitionFragment)
                .commit();
        mActivity.getSupportFragmentManager().beginTransaction().show(transitionFragment);
    }
}
