package com.shixing.edit.data;

import androidx.annotation.IntDef;

import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;

public class AnimationModel {
    public static final int ENTER = 0;
    public static final int EXIT = 1;
    public static final int LOOP = 2;

    @IntDef({ENTER, EXIT, LOOP})
    @Retention(RetentionPolicy.SOURCE)
    public @interface Type {
    }

    public String id;
    public @Type int type;
    public String resName;
}
