package com.shixing.edit.data;

import android.graphics.Bitmap;
import android.graphics.RectF;

import com.shixing.sxedit.internal.AudioItem;
import com.shixing.sxedit.internal.Effect;
import com.shixing.sxedit.internal.Track;

public class TrackBean {

    public String id;
    public String srcPath;
    public boolean isSelected;//是否被选中
    public boolean isDragging;//是否正在拖拽
    public int touchPoint;//移动点 1 头， 2尾
    public int mStartX;//开始的x坐标
    public int mEndX;//结束的x坐标
    public int mStartY;//在texttrack等需要判断层级的地方使用，主轨道默认单层，值为0
    public int mLevel;//叠加的时候在第几层，从上往下数
    public double mStartFrameIndex;//开始的时刻
    public double mEndFrameIndex;//结束的时刻
    public int durationWidth;
    public double duration;
    public double origDuration;
    public double mInPoint;//在主轨道上的进入时间点 和开始的x坐标相似 mStartX
    public RectF mLeftRect;
    public RectF mRightRect;
    public float difX;//按下位置和mStartX的距离
    public float difY;
    public int mediaType = 0;//0视频，1音乐，2文字，3图片，4其他
    public String text="";//文字内容
    public Bitmap shaderBitmap;//主轨道片段底色
    public String mTransitionId;//是否有转场
    public boolean isShowTransitionRect;//是否显示转场方框
    public float mSpeed;//变速值

    public float showingEnd;//减去转场时间实际显示的右边框
    public int movingStartX;
    public int movingEndX;

    public static final int typeVideo=0;
    public static final int typeMusic=1;
    public static final int typeText=2;
    public static final int typePic=3;
    public static final int typeSticker=4;
    public static final int typeFilter = 5;
    public static final int typeAdjust = 6;
    public static final int typeEffect = 7;
    public static final int typeOther=10;


    public Track track;
    public Effect effect;
    public AudioItem audioItem;
}
