package com.shixing.edit.widget;

import android.content.Context;
import android.graphics.Bitmap;
import android.graphics.Canvas;
import android.graphics.Matrix;
import android.util.AttributeSet;
import android.view.View;

import androidx.annotation.Nullable;

import com.shixing.edit.utils.Logger;

public class TestView extends View {

    public TestView(Context context) {
        super(context);
    }

    public TestView(Context context, @Nullable AttributeSet attrs) {
        super(context, attrs);
    }

    public TestView(Context context, @Nullable AttributeSet attrs, int defStyleAttr) {
        super(context, attrs, defStyleAttr);
    }
    Bitmap bitmap;
    public void setBitmap(Bitmap bitmap){
        this.bitmap=bitmap;
    }
    Matrix matrix=new Matrix();

    public void setMatrix(Matrix matrix){
        this.matrix=matrix;

        Logger.e("cf testView matrix="+matrix.toShortString());
        invalidate();
    }
    @Override
    protected void onDraw(Canvas canvas) {
        super.onDraw(canvas);
        if (bitmap!=null&&matrix!=null){
           Matrix m=new Matrix();
            m.set(matrix);
            m.setScale(0.5f,0.5f);
            canvas.drawBitmap(bitmap,m,null);
        }
    }
}
